Delete digital_mrv_observation by id
DELETE /obp/dynamic-entity/digital_mrv_observation/DIGITAL_MRV_OBSERVATION_ID
OBPv4.0.0-dynamicEntity_deletedigital_mrv_observation_ Roles: CanDeleteDynamicEntityRecord_digital_mrv_observation(per bank) _Digital_mrv_observationDynamic-EntityDynamic
Delete digital_mrv_observation by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"digital_mrv_observation"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"digital_mrv_observation_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"observation_date_start": "2026-01-01",
"observation_date_end": "2026-12-31",
"digital_mrv_protocol": "WP3-SOC-Sentinel2-v1.2",
"data_source": "sentinel2",
"lulc_classification": "cropland_annual",
"soc_estimate_t_per_ha": 42.3,
"soc_baseline_t_per_ha": 44.1,
"soc_delta_t_per_ha": 1.8,
"biomass_estimate_t_per_ha": 3.2,
"uncertainty_pct": 12.5,
"data_quality_indicator": "medium",
"risk_score": 0.08,
"verification_method": "dMRV",
"generated_by": "WP3-pipeline-v2.0.1",
"parcel_snapshot_nft_id": "batch_nft_0xAb5801..."
}Example success response
{
"digital_mrv_observation": {
"digital_mrv_observation_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"observation_date_start": "2026-01-01",
"observation_date_end": "2026-12-31",
"digital_mrv_protocol": "WP3-SOC-Sentinel2-v1.2",
"data_source": "sentinel2",
"lulc_classification": "cropland_annual",
"soc_estimate_t_per_ha": 42.3,
"soc_baseline_t_per_ha": 44.1,
"soc_delta_t_per_ha": 1.8,
"biomass_estimate_t_per_ha": 3.2,
"uncertainty_pct": 12.5,
"data_quality_indicator": "medium",
"risk_score": 0.08,
"verification_method": "dMRV",
"generated_by": "WP3-pipeline-v2.0.1",
"parcel_snapshot_nft_id": "batch_nft_0xAb5801..."
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.